/* Page 3 - Mobile */
#mobile {
  width: 100%;
  position: relative;
  background-color: #f9fafb;
  height: 812px;
  overflow: hidden;
  text-align: right;
}

.mobile__image__wrapper {
  position: absolute;
  top: -1px;
  left: 0px;
  width: 321px;
  height: 624px;
  overflow: hidden;
}

.mobile__responsive__image {
  position: absolute;
  left: 0px;
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.mobile__content__description {
  position: absolute;
  top: 460px;
  left: 67px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-start;
  gap: 48px;
}

.mobile__content__text__section {
  width: 288px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-start;
}

.mobile__content__text_wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-start;
  gap: 16px;
}

.mobile__content__text {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-start;
  gap: 16px;
}

.mobile__content__text > div:first-of-type {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-start;
}

.mobile__content__text > div:last-of-type {
  align-self: stretch;
  position: relative;
  font-size: 13px;
  line-height: 160%;
  color: #484e57;
}

.mobile__content__header__text {
  margin: 0;
  font-size: 24px;
  font-weight: 700;
  line-height: 160%;
  color: #111;
}

.mobile__content__header__text:last-of-type {
  color: #2d80eb;
}

.mobile__content__text {
  margin: 0;
  font-size: 13px;
  font-style: normal;
  font-weight: 400;
  line-height: 160%;
  color: #484e57;
}

.mobile__content__link__wrapper {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 5px;
  font-size: 14px;
}

.mobile__content__link {
  height: 40px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 8px 16px;
  box-sizing: border-box;
  gap: 8px;
  min-width: 96px;
  border-radius: 6px;
  background-color: #e9eef4;
}

.mobile__content__link > a {
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 160%;
  color: #111;
  text-decoration: none;
  background: linear-gradient(to right, #111 100%, #111 100%);
  background-size: 0% 2px;
  background-position: bottom;
  background-repeat: no-repeat;
  transition: background-size 0.3s ease, color 0.3s ease;
}

.mobile__content__link > a:hover {
  background-size: 100% 2px;
}

.mobile__content_icon {
  width: 12px;
  height: 12px;
}

/*====================
  MEDIA QUERIES
====================*/
@media (min-width: 768px) {
  #mobile {
    height: 1194px;
  }

  .mobile__image__wrapper {
    top: 134px;
    left: 0px;
    width: 412px;
    height: 1034px;
  }

  .mobile__content__description {
    position: absolute;
    top: 224px;
    left: 43.53%;
    width: 391px;
    gap: 64px;
  }

  .mobile__content__text__section {
    width: 391px;
  }

  .mobile__content__text_wrapper {
    gap: 32px;
  }

  .mobile__content__text {
    gap: 32px;
  }

  .mobile__content__header__text {
    font-size: 40px;
    line-height: 140%;
  }

  .mobile__content__text {
    font-size: 18px;
    line-height: 160%;
  }

  .mobile__content__link__wrapper {
    gap: 8px;
  }

  .mobile__content__link {
    height: 61px;
    padding: 16px 24px;
    gap: 16px;
    border-radius: 8px;
  }

  .mobile__content__link > a {
    font-size: 18px;
  }
}

@media (min-width: 997px) {
  .mobile__image__wrapper {
    width: 586px;
    height: 1192px;
  }

  .mobile__content__description {
    position: absolute;
    top: 224px;
    left: 54%;
  }
}

@media (min-width: 1280px) {
  #mobile {
    height: 1088px;
  }

  .mobile__content__description {
    margin: auto;
    width: 1024px;
    left: 0;
    right: 0;
  }

  .mobile__content__text_wrapper {
    gap: 32px;
  }

  .mobile__image__wrapper {
    position: absolute;
    width: 59%;
    height: 1280px;
    top: 0px;
    left: 0px;
    overflow: hidden;
  }

  .swiper-slide {
    display: grid;
    place-items: center;
    width: 23.125%;
  }

  .mobile__content__text {
    font-size: 16px;
  }
}

@media (min-width: 1920px) {
  #mobile {
    height: 1280px;
  }

  .mobile__content__description {
    max-width: 1024px;
  }

  .mobile__image__wrapper {
    width: 1128px;
  }
}
